Name: clipper
Summary: Clipper C++ crystallographic library
URL: http://www.ysbl.york.ac.uk/~cowtan/clipper/clipper.html
Version: 2.1
Release: 3%{?dist}
License: LGPLv2+
Source0: http://www.ysbl.york.ac.uk/~cowtan/%{name}/%{name}-%{version}-081118-ac.tar.gz
Source1: clipper-patches-2.1.tar.gz
Patch0: unistd_fixes.patch
Patch1: stdlib_fixes.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: fftw2-devel
BuildRequires: gpp4-devel
BuildRequires: mmdb-devel

%description
There are currently two major pressures on crystallographic computing:

Increased automation to increase throughput in line with genomics applications.

Increased data complexity, as data from more sources is combined and
carried through the whole calculation to solve more difficult
problems.

The Clipper project is an initiative to address these pressures.

%package devel
Summary: Libraries and header files for clipper development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: fftw2-devel
Requires: gpp4-devel
Requires: mmdb-devel

%description devel

the clipper-devel package contains the header files and libraries
necessary for developing programs using the clipper C++
crystallographic library.

%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p0
./autogen.sh

sed -i 's/\r//' dox/coordtypes.dox
sed -i 's/\r//' dox/develop.dox
chmod 644 dox/wheretolook.dox

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' CPPROG="cp -p"

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc NEWS README AUTHORS COPYING
%{_bindir}/caniso
%{_bindir}/cecalc
%{_bindir}/cfft
%{_bindir}/chltofom
%{_bindir}/cinvfft
%{_bindir}/convert2mtz
%{_bindir}/cpatterson
%{_bindir}/cphasecombine
%{_bindir}/cphasematch
%{_bindir}/csfcalc
%{_bindir}/csigmaa
%{_bindir}/cmakereference
%{_bindir}/ciftophs
%{_bindir}/cmaplocal
%{_bindir}/cmodeltoseq
%{_bindir}/cncsfrommodel
%{_bindir}/csymmatch
%{_libdir}/libclipper.so.*

%files devel
%defattr(-,root,root,-)
%doc dox
%{_libdir}/libclipper.so
%{_includedir}/clipper
%{_libdir}/pkgconfig/clipper.pc

%changelog
* Mon Nov 24 2008 Tim Fenn <fenn@stanford.edu> - 2.1-3
- include clipper_thread.h

* Sat Nov 22 2008 Tim Fenn <fenn@stanford.edu> - 2.1-2
- update patches

* Fri Nov 21 2008 Tim Fenn <fenn@stanford.edu> - 2.1-1
- update to 2.1

* Sat Nov 15 2008 Tim Fenn <fenn@stanford.edu> - 2.0-20
- patch to examples/Makefile.am

* Fri Nov 14 2008 Tim Fenn <fenn@stanford.edu> - 2.0-19
- dynamically link executables
- fix double file listings in -devel

* Thu Nov 13 2008 Tim Fenn <fenn@stanford.edu> - 2.0-18
- edit license tag
- add mmdb/gpp4/fftw to requires for -devel
- timestamp preservation in make install
- edit defattr
- remove install and changelog from docs
- include clipper dir in -devel ownership
- fix CRLF/permissions issues

* Wed Nov 12 2008 Tim Fenn <fenn@stanford.edu> - 2.0-17
- add more string patches
- add stdlib patches

* Tue Nov 11 2008 Tim Fenn <fenn@stanford.edu> - 2.0-16
- fix make and make install
- set up patch directives
- consolidate version/release tags
- fix buildrequires

* Wed Sep 10 2008 Tim Fenn <fenn@stanford.edu> - 2.0-15
- include binaries in main package, remove from devel
- add test calls to libs

* Wed Aug 20 2008 Tim Fenn <fenn@stanford.edu> - 2.0-14
- spec cleanup
- string patches

* Tue May 27 2008 Tim Fenn <fenn@stanford.edu> - 2.0-13
- remove static libs

* Mon May 26 2008 Tim Fenn <fenn@stanford.edu> - 2.0-12
- spec cleanup

* Mon Feb 25 2008 Tim Fenn <fenn@stanford.edu> - 2.0-11
- update to use Morten's LGPL licensed libraries

* Fri Oct 19 2007 Tim Fenn <fenn@stanford.edu> - 2.0-10
- resync to Cowtan's latest updates

* Fri Jul  6 2007 Tim Fenn <fenn@stanford.edu> - 2.0-9
- update to use CCI CCP4C library

* Fri Apr 20 2007 Tim Fenn <fenn@stanford.edu> - 2.0-8
- resync with Cowtan's latest updates, add examples

* Tue Nov 28 2006 Tim Fenn <fenn@stanford.edu> - 2.0-7
- sync with Cowtan's latest updates

* Sun Nov  5 2006 Tim Fenn <fenn@stanford.edu> - 2.0-6
- fix configure.ac to include math lib

* Sun Apr 30 2006 Tim Fenn <fenn@stanford.edu> - 2.0-5
- split package into clipper and clipper-ccp4

* Tue Apr 11 2006 Tim Fenn <fenn@stanford.edu>
- initial build
